Bug 398216

Summary: Automatically re-upload files at remote locations that are saved from non-KIO software
Product: [Frameworks and Libraries] frameworks-kio Reporter: Nate Graham <nate>
Component: generalAssignee: David Faure <faure>
Status: RESOLVED FIXED    
Severity: normal CC: bugseforuns, kdelibs-bugs
Priority: NOR Keywords: usability
Version: git master   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In: 5.66

Description Nate Graham 2018-09-03 22:59:47 UTC
Right now, when you use a non-KIO app to open a file located on a remote location such as a Samba share, every time you save the file, you get an annoying pop-up asking whether you want to re-upload the file to the server. This is problematic for two reasons:
- It unnecessarily exposes an implementation detail (the fact that the file was copied to a temporary cache instead of read from and written to the remote location)
- The user's answer is "yes" 100% of the time (of course they want to re-upload it back to the server; that's why they saved the file!)

Therefore, let's remove this dialog and just do it automatically.

If the remote location is read-only, only *then* should we display some kind of message to the user when they save a changed document.
Comment 1 Nate Graham 2018-09-12 13:41:41 UTC
I've submitted a patch for this: https://phabricator.kde.org/D15318
Comment 2 a.saoutkin 2020-01-02 18:29:48 UTC
Git commit fcf4529f62e15cfc891757cf372c4ef7ee7ea4d1 by Alexander Saoutkin.
Committed on 02/01/2020 at 18:29.
Pushed by asaoutkin into branch 'master'.

Adding support for mounting KIOFuse URLs for applications that don't use KIO

Summary:
This patch is required to provide seamless integration with KIOFuse and KIO.

The patch attempts to convert URLs that applications will not understand
natively into local paths based on a KIOFuse mount. If successful, the URL
passed to the application is changed to its location within the KIOFuse mount.
If it is not successful, the URL is not changed.

If KIOFuse is not installed, then kioexec is simply used.
Related: bug 75324, bug 330192, bug 398446
FIXED-IN: 5.66

Test Plan:
Compile KIO with this patch.

Build and install KIOFuse (follow instructions in README): https://invent.kde.org/kde/kio-fuse

Once KIO is built, Dolphin is built with this newly built KIO, and kio-fuse is built,
one should start the kio-fuse process.

The easiest way to test this is via Dolphin (that is built with this patch): `dbus-launch dolphin`.

Once you have done the above one can simply browse to any non-local location in
say, Dolphin, where upon opening a URL in a non-KIO enabled app, it should open
in the KIOFuse mount, except for MTP/Gdrive URLs - those will use KIOExec.
Conversely, KIO URLs in KIO-enabled apps should not use KIOFuse.

Reviewers: fvogt, davidedmundson, dfaure, ngraham

Reviewed By: dfaure, ngraham

Subscribers: alexde, broulik, sitter, davidedmundson, kde-frameworks-devel, ngraham

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D23384

M  +1    -0    src/core/CMakeLists.txt
M  +45   -12   src/core/desktopexecparser.cpp
A  +9    -0    src/core/org.kde.KIOFuse.VFS.xml

https://commits.kde.org/kio/fcf4529f62e15cfc891757cf372c4ef7ee7ea4d1